Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::RefSCDimension Class Reference

The RefSCDimension class is a smart pointer to an SCDimension specialization. More...

`#include <dim.h>`

Inheritance diagram for sc::RefSCDimension:

[legend]
Collaboration diagram for sc::RefSCDimension:

[legend]
List of all members.

## Public Methods
| RefSCDimension ()
| Initializes the dimension pointer to 0. More...
| RefSCDimension (const RefSCDimension &d)
| Make this and d refer to the same SCDimension.
| RefSCDimension (SCDimension *d)
| Make this refer to d.
| ~RefSCDimension ()
RefSCDimension & | operator= (SCDimension *d)
| Make this refer to d.
RefSCDimension & | operator<< (RefCount *)
RefSCDimension & | operator<< (const RefBase &)
RefSCDimension & | operator= (const RefSCDimension &d)
| Make this and d refer to the same SCDimension.
| operator int () const
| Return the dimension.
int | n () const
void | print (std::ostream &o=ExEnv::out0()) const

## Detailed Description

The RefSCDimension class is a smart pointer to an SCDimension specialization.

## Constructor & Destructor Documentation

sc::RefSCDimension::RefSCDimension | ( |  | ) |

| Initializes the dimension pointer to 0. The reference must be initialized before it is used.

The documentation for this class was generated from the following file:

- dim.h